<template>
    <v-form v-model="valid">
        <v-container>
            <v-row>
                <v-col
                        offset-md="4"
                        md="4"
                        cols="12"

                >
                    <v-text-field
                            v-model="userForm.prenom"
                            :rules="nameRules"
                            :counter="20"
                            label="Prénom"
                            required
                    />
                </v-col>
                <v-col
                        offset-md="4"
                        md="4"
                        cols="12"

                >
                    <v-text-field
                            v-model="userForm.nom"
                            :rules="nameRules"
                            :counter="20"
                            label="Nom"
                            required
                    />
                </v-col>

                <v-col
                        offset-md="4"
                        md="4"
                        cols="12"

                >
                    <v-text-field
                            v-model="userForm.email"
                            :rules="emailRules"
                            label="Adresse mail"
                            required
                    />

                </v-col>

            </v-row>
            <v-row>

                    <v-spacer></v-spacer>
                    <v-checkbox
                            v-model="checkbox"
                            :rules="[v => !!v || 'You must agree to continue!']"
                            label="Êtes-vous sûr ?"
                            required
                    />
                    <v-spacer></v-spacer>

            </v-row>
            <v-row>
                <v-spacer></v-spacer>
                <v-btn
                        :disabled="!valid"
                        color="primary"
                        class="mr-4"
                        @click="validate"
                >
                    Valider
                </v-btn>
                <v-spacer></v-spacer>
            </v-row>
        </v-container>
    </v-form>
</template>

<script>
    export default {
        name: "Profil",
        data: () => ({
            valid: false,
            checkbox:false,
            userForm:{
                nom:'',
                prenom:'',
                email:''
            },
            nameRules: [
                v => !!v || 'Le nom est nécessaire.',
                v => v.length <= 20 || 'Le nom doit faire moins de 20 caractères.',
            ],
            email: '',
            emailRules: [
                v => !!v || 'E-mail est nécessaire.',
                v => /.+@.+/.test(v) || 'L\'E-mail doit être un mail valide.',
            ],
        }),
        mounted() {
            this.userForm.nom=this.user.nom;
            this.userForm.prenom=this.user.prenom;
            this.userForm.email=this.user.email;

        },
        methods: {
            validate: function () {
                // eslint-disable-next-line no-console
                this.$store.state.user=this.userForm;
            }
        },
        computed:{
            user(){
                return this.$store.state.user;
            }
        }
    }
</script>

<style scoped>

</style>